package me.mrletsplay.streamdeck;

import me.mrletsplay.simplehttpserver.http.server.HttpServer;
import me.mrletsplay.streamdeck.action.ActionSerializer;
import me.mrletsplay.streamdeck.api.StreamDeckAPI;
import me.mrletsplay.streamdeck.deck.Deck;
import me.mrletsplay.streamdeck.exception.InitializationException;

public class StreamDeck {

	private static Deck deck;

	public static void main(String[] args) throws InitializationException {
		deck = new Deck(20);

		ActionSerializer.initialize();
		Soundboard.initialize();

		HttpServer server = new HttpServer(HttpServer.newConfigurationBuilder()
			.hostBindAll()
			.port(5734)
			.create());

		new StreamDeckAPI().register(server.getDocumentProvider());

		server.start();

		Runtime.getRuntime().addShutdownHook(new Thread(() -> {
			Soundboard.finish();
		}));
	}

	public static Deck getDeck() {
		return deck;
	}

}
