package me.mrletsplay.streamdeck.deck;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class Deck {

	private List<DeckButton> buttons;

	public Deck(int buttonCount) {
		List<DeckButton> buttons = new ArrayList<>(buttonCount);
		for(int i = 0; i < buttonCount; i++) buttons.add(new DeckButton(i));
		this.buttons = Collections.unmodifiableList(buttons);
	}

	public List<DeckButton> getButtons() {
		return buttons;
	}

	public DeckButton getButton(int id) {
		if(id < 0 || id >= buttons.size()) return null;
		return buttons.get(id);
	}

}
